###--- >>> `diag' <<<----- Matrix Diagonals

	## alias	 help(diag)
	## alias	 help(diag<-)

##___ Examples ___:

dim(diag(3))
diag(10,3,4) # guess what?
all(diag(1:3) == {m <- matrix(0,3,3); diag(m) <- 1:3; m})

## Keywords: 'array'.


